PROGRAM Hello_from
! -------------------------------------------------!
! Hello world!                                     !
! -------------------------------------------------!

IMPLICIT NONE
INCLUDE "mpif.h"	! MPI library
INTEGER:: np,myid,err

CALL MPI_INIT (err)	! Initialize communication
CALL MPI_COMM_SIZE (MPI_COMM_WORLD, np, err)
CALL MPI_COMM_RANK (MPI_COMM_WORLD, myid, err)

WRITE(*,*) "Hello world! from", myid, " of", np

CALL MPI_FINALIZE (err)	! Finalize communication
END PROGRAM Hello_from
